Bug 142208 - Need program or script to find unused exceptions.
Summary: Need program or script to find unused exceptions.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D   
(Show other bugs)
Version: RHN Stable
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ryan Bloom
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-12-08 04:05 UTC by Jesus M. Rodriguez
Modified: 2007-04-18 17:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 19:01:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesus M. Rodriguez 2004-12-08 04:05:36 UTC
The exceptions in RHN java are defined in buildconf/exceptions.xml.
We need a script, ant task or program that can parse the file and
determine whether the exception defined is used by any of the
code.

Comment 1 Ryan Bloom 2005-01-20 19:01:28 UTC
scripts/unUsedExceptions.pl is now in the repo for just this task.


Note You need to log in before you can comment on or make changes to this bug.